var app = getApp();
const config = require('../../../config/config.js')
const util = require('../../../utils/util.js')
const Http = require('../../../utils/HttpBasics.js')
Page({

  /**
   * 页面的初始数据
   */
  data: {
    id: "",
    obj:{}
  },
  getStatus() {
    wx.showLoading({
      title: '加载中...',
    })
    Http.get({
      url: config.api.syncApplymentStates,
      data: {
        id: this.data.id
      }
    }).then(res => { 
      let tempObj = res.data
      if (tempObj.applymentStateDesc){
        tempObj.stateList = tempObj.applymentStateDesc.split("；")
      }
      if (tempObj.auditDetail){
        tempObj.auditDetail = JSON.parse(tempObj.auditDetail)
      }
      this.setData({
        obj: tempObj
      })
      wx.hideLoading();
    }).catch(err => {
      wx.hideLoading();
      wx.showToast({
        title: err.message,
        icon: "none",
        duration: 2000
      })
    })
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function(options) {
    this.setData({
      id: options.id
    })
    this.getStatus()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function() {

  }
})